DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# PairCorrelation

Compute the pair correlation function

## SYNOPSIS

`#include "dip_analysis.h"`

dip_Error dip_PairCorrelation ( object, mask, dist, probes, length, sampling, covariance )

## DATA TYPES

binary, integer

## FUNCTION

This function computes the pair correlation function of the different phases in `object`. If `object` is a binary image, the image is a regarded as a two phase image. In case `object` is of the integer type, the image is regarded as a labeled image, with each integer value encoding a phase. Optionally a `mask` image can be provided to select which pixels in `object` should be used to compute the pair correlation. The `probes` variable specifies how many random point pairs should be drawn to compute the function. `Length` specifies the maximum correlation length. The correlation function can be computed using a random (`DIP_CORRELATION_ESTIMATOR_RANDOM`) or grid method (`DIP_CORRELATION_ESTIMATOR_GRID`), as specified by `sampling`. Finally `covariance` determines whether only the correlations (`DIP_FALSE`) or the covarianances (`DIP_TRUE`) have to be computed.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `object` | Object image
`dip_Image` | `mask` | Mask image
`dip_Distribution` | `dist` | Ouput distribution
`dip_int` | `probes` | Number of probes
`dip_int` | `length` | Maximum correlation Length
`dipf_CorrelationEstimator` | `sampling` | Samplings method
`dip_Boolean` | `covariance` | Compute covariance

## SEE ALSO

`ChordLength`, `ProbabilisticPairCorrelation`